List cards on file
post
https://api.expiryedge.com/v1/getPaymentMethodsany role60/minAny method
Request
curl -X POST 'https://api.expiryedge.com/v1/getPaymentMethods' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"payment_methods": [
{
"id": "pm_1QfT7xNorthwind",
"brand": "visa",
"last4": "4242",
"exp_month": 12,
"exp_year": 2028,
"funding": "credit",
"country": "US",
"wallet": null,
"default": true
}
]
}Up to 25 cards on the organization's Stripe customer, with the default flagged. Returns [] when there is no Stripe customer.
200
Cards on file.
payment_methodsarray of objectsrequired
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
404 | The record does not exist or is not in your organization. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
